import sys
from PIL import Image

def img_2_csv(imageName, csvName, new_max_dim):
    img = Image.open(imageName)
    pixels = img.load()
    width, height = img.size
    max_dim = max(width, height)
    if (max_dim > new_max_dim):
        new_size_x = width * new_max_dim // max_dim
        new_size_y = height * new_max_dim // max_dim
        img = img.resize((new_size_x, new_size_y))
    r, g, b = img.split()
    columns, rows = b.size
    pix = b.load()
    file = open(csvName, "w")
    for iRow in range(rows):
        for iCol in range(columns):
            file.write(str(pix[iCol, iRow]))
            file.write(";")
        file.write("\n")
    file.close()

if __name__ == "__main__":
    if len(sys.argv) >= 4:
        img_2_csv(sys.argv[1], sys.argv[2], int(sys.argv[3]))
    else:
        print("img_2_csv takes three arguments : first the image filename, then the spreadsheet filename and the maximum pixel size.")
